--散装物料
UPDATE T_BD_MATERIALMFTINFO_M SET FISBULKMATERIAL = '0' WHERE FISBULKMATERIAL = ' ';
EXEC P_ALTERCOLUMN 'T_BD_MATERIALMFTINFO_M', 'FISBULKMATERIAL', 'CHAR(1)', 'NOT NULL', '1111', '0';
--可联副产品 
UPDATE T_BD_MATERIALMFTINFO_M SET FISJOINTPRODUCT = '0' WHERE FISJOINTPRODUCT = ' ';
EXEC P_ALTERCOLUMN 'T_BD_MATERIALMFTINFO_M', 'FISJOINTPRODUCT', 'CHAR(1)', 'NOT NULL', '1111', '0';
--可主产品
UPDATE T_BD_MATERIALMFTINFO_M SET FISMAINPRODUCT = '0' WHERE FISMAINPRODUCT = ' ';
EXEC P_ALTERCOLUMN 'T_BD_MATERIALMFTINFO_M', 'FISMAINPRODUCT', 'CHAR(1)', 'NOT NULL', '1111', '0';